## org.apache.ivy.core.event
Class FilteredIvyListener

    java.lang.Object
      org.apache.ivy.core.event.FilteredIvyListener

All Implemented Interfaces:
  java.util.EventListener, IvyListener

    public class FilteredIvyListener

extends java.lang.Object
implements IvyListener

Constructor Summary
`FilteredIvyListener(IvyListener listener, Filter filter)`

Method Summary
`Filter` `getFilter()`
`IvyListener` `getIvyListener()`
`void` `progress(IvyEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteredIvyListener

    public FilteredIvyListener(IvyListener listener,
                               Filter filter)

Method Detail

### getIvyListener

    public IvyListener getIvyListener()

### getFilter

    public Filter getFilter()

### progress

    public void progress(IvyEvent event)

  Specified by:
    `progress` in interface `IvyListener`